Subject: [Autoconf] From Dave Thaler: Review of draft-ietf-autoconf-statement-02.txt

From: Thomas Clausen <[email-masked]>
Date: Thu, 22 Nov 2007 10:10:58 +0100

Dear all,

Dave Thaler kindly offered to review draft-ietf-autoconf-statement,  
and share his opinions with the working group. As always, Dave has  
interesting insights, and we owe him thanks for his efforts in  
sharing those with us. He asked that I forward them to the 'list --  
and I hope we will all review them carefully and take them into  
consideration and act upon them.

Sincerely,

Thomas

Begin forwarded message:

> From: Dave Thaler <[email-masked]>
> Date: November 21, 2007 10:34:11 PM CEST
> To: "[email-masked]" <[email-masked]>,  
> "[email-masked]" <[email-masked]>,  
> "[email-masked]"  
> <[email-masked]>, Shubhranshu Singh  
> <[email-masked]>
> Cc: Thomas Heide Clausen <[email-masked]>, Thomas Narten  
> <[email-masked]>, Jari Arkko <[email-masked]>
> Subject: Review of draft-ietf-autoconf-statement-02.txt
>
> I reviewed this draft today to see if I thought it was ready for WGLC.
>
>
>
> In my opinion, it is definitely not ready for WGLC and there are  
> enough issues that, after being addressed, I expect that one would  
> absolutely need to Last Call it again.  Hence the only benefit to a  
> WGLC would just be to get people to read it.  In my view, that is  
> unnecessary… asking specific people (e.g., me, Thomas [Nartan],  
> etc) to review it is more productive than just requesting a general  
> WGLC in order to get people to read it.
>
>
>
> My detailed comments are in the marked up doc attached.  If anyone  
> wants to read them and cannot read doc format, let me know and I’m  
> happy to send you HTML format (but it’s harder to read that way and  
> in the past folks seem to have been ok with doc format).
>
>
>
> I am not currently subscribed to the autoconf list, so am not  
> posting to the list, but feel free to forward this to the list as  
> desired.
>
>
>
> To summarize the two main technical problems (but there are others):
>
>
>
> 1) The document is supposed to be a problem statement, and it does  
> not really state what the problem is.  It concludes that existing  
> solutions can’t work, but provides no discussion of this to  
> motivate that conclusion.  That is what, in my view, is the point  
> of a problem statement document and as such should be a significant  
> contribution.  This is the main reason why I feel it needs  
> significant work before WGLC.
>
>
>
> 2) The document is supposed to be a problem statement, and it does  
> not really state that there is a problem.  Much of the discussion  
> centers around the point about duplicate address detection.  The  
> document does not say there is any problem.  It says that IF there  
> is some requirement, then there may be a problem, but provides no  
> evidence there actually is any.  Again, this is, in my view, the  
> point of a problem statement document and as such should be a  
> significant contribution.
>
>
>
> -Dave
>

-- 
Thomas Clausen
[email-masked]
http://www.ThomasClausen.org/
http://hipercom.thomasclausen.org/

_______________________________________________
Autoconf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/autoconf